/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"Algorithm_8h.html",
"CurlHelper_8h.html#a1fad87e9cd34cde2b2e1614ef093ab9a",
"IOStream_8cc.html#aa922dd9b33377332dd6c7dc3060832a5",
"Logger_8h_source.html",
"OnMediaLocation_8cc.html#a633d478e6ae9600415f710d9d196c123",
"PoolMember_8h.html#ab5e5dac3b36b16c1d7403ee5c6b6c737",
"RepoInfoBase_8h.html#a7c098c46556eb1259796f8d3bbf63f2e",
"RpmHeader_8cc.html",
"String_8cc.html",
"Testcases.html#Anatomy",
"classImpl.html",
"classzypp_1_1CapMatch.html#aaeca83857d979c6a192afb089dff5e73",
"classzypp_1_1CpeId.html#a4461c15cadeb9476428856162803a9ad",
"classzypp_1_1Errno.html",
"classzypp_1_1HistoryLogDataRepoAliasChange.html#a6fdadc21965aebd7d10223145ff805ba",
"classzypp_1_1KeyRing.html#abe3921124493daa9705229ff2a376bfe",
"classzypp_1_1OnMediaLocation.html#a6991b546c5940bca0852b12ede3ed2f2",
"classzypp_1_1PluginScript.html#ad57e20b7b04d7fcb62e477f3259827a6",
"classzypp_1_1Product.html#a7e2e18a59b750dc38cfd154941c5461a",
"classzypp_1_1RepoInfo.html#aae1719842e9156c42a99cd4bbf1188af",
"classzypp_1_1ResPool.html#a25d66bd627a4f208f619a34a027e8a6a",
"classzypp_1_1ResStatus.html#ac73ec1dcf3eb4a364d4420e9efe5dfb5a74d5412507dbd50ec5e227da2a4fc15c",
"classzypp_1_1Signature.html#a7c2bf6d7238d5e1d712261b5eeff36ac",
"classzypp_1_1ZConfig.html#a2666b9ad701612bd53fb7a0c16ebd1cc",
"classzypp_1_1ZYppFactoryException.html#af76f1a6a817f5c8434bc8bd88221e477",
"classzypp_1_1bit_1_1BitField.html#aa58ed4de3529123049309a4127b40889",
"classzypp_1_1filesystem_1_1PathInfo.html#a30516cddddb8f903e1e03f13cbe7d321",
"classzypp_1_1media_1_1AuthData.html#a42760ba81a852663cab073b1d0d359f3",
"classzypp_1_1media_1_1MediaCurl.html#a83d9e0c47a4ded8246afcc5e708a0695",
"classzypp_1_1media_1_1MediaMultiCurl.html#a381ea32f8a3a4a290d1c9c3f5330ca2c",
"classzypp_1_1media_1_1TransferSettings.html#a8bd4fad615146f2316766eb27a7ef463",
"classzypp_1_1parser_1_1ProductFileData.html#ae61d345dedda0456f1aa9423066d4e5b",
"classzypp_1_1repo_1_1RepoInvalidAliasException.html#aa01de78e542fe36d6db227c2b074a725",
"classzypp_1_1sat_1_1LookupAttr_1_1Impl.html#af6c7ba3b02ae6c79fc4e13a878d9a17b",
"classzypp_1_1sat_1_1SolvAttr.html#a76c4241f0a4f172fcfd7d71d46b31166",
"classzypp_1_1sat_1_1Transaction.html#a37356301d4eed3bd8433354e0b3cf14c",
"classzypp_1_1solver_1_1detail_1_1HelixResolvable.html#a5f30f68844f4362cb66eeda8c0795bc8",
"classzypp_1_1target_1_1RpmInstallPackageReceiver.html#a4032f841547a6c848e7fd70eddff3b58",
"classzypp_1_1target_1_1rpm_1_1RpmDbAlreadyOpenException.html#a0f865ec3ad83f5f4129f26637e3a4114",
"classzypp_1_1ui_1_1Selectable.html#a8e7a46be0d814688fef4ca18f11636ad",
"classzypp_1_1xml_1_1ParseDefConsumeCallback.html#ade1ba58c697c3ef9071afa3294dc212f",
"functions_vars_a.html",
"group__ZYPP__STR__REGEX.html#ga11c1938ce30c50001a3b9110b82f3c27",
"namespacezyppintern.html",
"structzypp_1_1Dep.html#a3f05026c78b91b65eb83d1e800c29dfba98f0ca6b8d6d11c6f79200e107f87edb",
"structzypp_1_1KeyRing_1_1Impl.html#a80168fc0a1d6c7717b6b8a827f366a62",
"structzypp_1_1PublicSubkeyData_1_1Impl.html#a0690be93affdd5fb833e4003b05f6e11",
"structzypp_1_1RepoStatus_1_1Impl.html",
"structzypp_1_1base_1_1SetTracker.html#ab0911e3739d88b4e0631b154a51bf000",
"structzypp_1_1functor_1_1functor__detail_1_1FunctorRef1.html",
"structzypp_1_1parser_1_1ProductFileData_1_1Impl.html#a88252a5559dfeb9274c97f765c27f162",
"structzypp_1_1resfilter_1_1ByRepository.html#a2435701517ebd494d64cf703c7ff2caa",
"structzypp_1_1target_1_1IMediaKey.html#a77bea2f550656e14beea601e6924743a",
"structzypp_1_1ui_1_1selfilter_1_1ByName.html#a4cae7ab9f9010f955d1785dcc3a9802c"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';